/*
 * FKT_SIN.java	01.07.99
 *
 *
 * Beilage zum Buch "Software-Entwurf mit UML"
 * von J.Seemann & J. Wolff von Gudenberg,
 * Springer-Verlag, 1999
 * 
 */

/** <i>repr&auml;sentiert ein Funktionsobjekt - Sinus-Funktion - im Parsebaum */

public class FKT_SIN extends Funktion
{
   public double funktion(double x)  { return Math.sin(x); }
   public String getName()   { return "SIN"; }
   public Object fclone()   { return new FKT_SIN(); }
}